Bug 212029 - sysutils/racktables: update build for USES=php and php70
Summary: sysutils/racktables: update build for USES=php and php70
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-21 15:45 UTC by Kurt Jaeger
Modified: 2017-06-08 18:13 UTC (History)
1 user (show)

See Also:
zi: maintainer-feedback+


Attachments
patch (676 bytes, patch)
2016-08-21 15:45 UTC, Kurt Jaeger
no flags Details | Diff
update 0.20.11 -> 0.20.13 (1.93 KB, patch)
2017-06-07 20:01 UTC, Kurt Jaeger
pi: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2016-08-21 15:45:10 UTC
Created attachment 173910 [details]
patch

Updates to USES=php:web, and mysqli instead of mysql so that it builds with php70. Probably needs run-testing with 7.0.
Comment 1 Ryan Steinmetz freebsd_committer freebsd_triage 2016-08-21 15:55:04 UTC
Can you complete runtesting for this?
Does this still work for php <7.0?
Comment 2 Kurt Jaeger freebsd_committer 2016-08-21 16:02:36 UTC
I found the problem on a test system, but I do not have an active racktables installation (neither with php56 nor php70). I also miss any operational experience with it. So, I miss most of the requirements to really run-test it 8-(
Comment 3 Kurt Jaeger freebsd_committer 2017-06-07 20:01:20 UTC
Created attachment 183309 [details]
update 0.20.11 -> 0.20.13

Changes: https://github.com/RackTables/racktables/blob/master/ChangeLog

Testbuilds are fine. Contains the other updates (USES etc)
Comment 4 Ryan Steinmetz freebsd_committer freebsd_triage 2017-06-07 20:17:15 UTC
Approved.
Comment 5 commit-hook freebsd_committer 2017-06-08 18:11:00 UTC
A commit references this bug:

Author: pi
Date: Thu Jun  8 18:10:31 UTC 2017
New revision: 442946
URL: https://svnweb.freebsd.org/changeset/ports/442946

Log:
  sysutils/racktables: update 0.20.11 -> 0.20.13

  PR:		212029
  Approved by:	zi (maintainer)
  Relnotes:	https://github.com/RackTables/racktables/blob/master/ChangeLog

Changes:
  head/sysutils/racktables/Makefile
  head/sysutils/racktables/distinfo
  head/sysutils/racktables/pkg-plist
Comment 6 Kurt Jaeger freebsd_committer 2017-06-08 18:13:09 UTC
Committed, thanks!